> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Legal hold policy assignments resources

A Legal Hold Policy Assignment is a relation between a policy and custodian. In this case, as custodian can be a user, folder, file, or file version.

## File versions on hold

A list of files on hold for legal policy assignment.

<Accordion title="Attributes and example">
  | Property      | Type                    | Required | Description                                                                                                                                                                            |
  | ------------- | ----------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`               | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of `File version` | No       | A list of file versions on hold.                                                                                                                                                       |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "12345",
        "type": "file_version",
        "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc",
        "name": "tigers.jpeg",
        "size": 629644,
        "created_at": "2012-12-12T10:53:43-08:00",
        "modified_at": "2012-12-12T10:53:43-08:00",
        "modified_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "trashed_at": "2012-12-12T10:53:43-08:00",
        "trashed_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "restored_at": "2012-12-12T10:53:43-08:00",
        "restored_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "purged_at": "2012-12-12T10:53:43-08:00",
        "uploader_display_name": "Ellis Wiggins"
      }
    ]
  }
  ```
</Accordion>

## Files on hold

A list of files on hold for legal policy assignment.

<Accordion title="Attributes and example">
  | Property      | Type                                                         | Required | Description                                                                                                                                                                            |
  | ------------- | ------------------------------------------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                                    | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                                     | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                                     | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [File (Mini)](/reference/files-resources#file-mini) | No       | A list of files.                                                                                                                                                                       |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "12345",
        "etag": "1",
        "type": "file",
        "sequence_id": "3",
        "name": "Contract.pdf",
        "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
        "file_version": {
          "id": "12345",
          "type": "file_version",
          "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
        }
      }
    ]
  }
  ```
</Accordion>

## Legal hold policy assignment

Legal Hold Assignments are used to assign Legal Hold Policies to an item type of: Users, Folders, Files, File Versions, Ownership, or Interactions. Creating a Legal Hold Assignment puts a hold on the File-Versions that belong to the Assignment's 'apply-to' entity.

<Accordion title="Attributes and example">
  | Property            | Type                                                                                        | Required | Description                                                                                                                                                                                                           |
  | ------------------- | ------------------------------------------------------------------------------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`                | `string`                                                                                    | No       | The unique identifier for this legal hold assignment.                                                                                                                                                                 |
  | `type`              | `enum<string>`                                                                              | No       | The value will always be `legal_hold_policy_assignment`. Available options: `legal_hold_policy_assignment`.                                                                                                           |
  | `legal_hold_policy` | [Legal hold policy (Mini)](/reference/legal-hold-policies-resources#legal-hold-policy-mini) | No       | The policy that the legal hold policy assignment is part of.                                                                                                                                                          |
  | `assigned_to`       | `Legal hold policy item`                                                                    | No       | The item that the legal hold policy is assigned to. Includes type and ID.                                                                                                                                             |
  | `assigned_by`       | [User (Mini)](/reference/users-resources#user-mini)                                         | No       | The user who created the legal hold policy assignment.                                                                                                                                                                |
  | `assigned_at`       | `string`                                                                                    | No       | When the legal hold policy assignment object was created.                                                                                                                                                             |
  | `deleted_at`        | `string`                                                                                    | No       | When the assignment release request was sent. (Because it can take time for an assignment to fully delete, this isn't quite the same time that the assignment is fully deleted). If null, Assignment was not deleted. |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "legal_hold_policy_assignment",
    "legal_hold_policy": {
      "id": "11446498",
      "type": "legal_hold_policy"
    },
    "assigned_to": {
      "type": "folder",
      "id": "6564564"
    },
    "assigned_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "assigned_at": "2012-12-12T10:53:43-08:00",
    "deleted_at": "2012-12-12T10:53:43-08:00"
  }
  ```
</Accordion>

## Legal hold policy assignment (Base)

Legal Hold Assignments are used to assign Legal Hold Policies to Users, Folders, Files, or File Versions. Creating a Legal Hold Assignment puts a hold on the File-Versions that belong to the Assignment's 'apply-to' entity.

<Accordion title="Attributes and example">
  | Property | Type           | Required | Description                                                                                                 |
  | -------- | -------------- | -------- | ----------------------------------------------------------------------------------------------------------- |
  | `id`     | `string`       | No       | The unique identifier for this legal hold assignment.                                                       |
  | `type`   | `enum<string>` | No       | The value will always be `legal_hold_policy_assignment`. Available options: `legal_hold_policy_assignment`. |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "legal_hold_policy_assignment"
  }
  ```
</Accordion>

## Legal hold policy assignments

A list of legal hold policies assignments.

<Accordion title="Attributes and example">
  | Property      | Type                                                                   | Required | Description                                                                                                                                                                            |
  | ------------- | ---------------------------------------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                                              | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                                               | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                                               | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [Legal hold policy assignment](#legal-hold-policy-assignment) | No       | A list of legal hold policy assignments.                                                                                                                                               |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "11446498",
        "type": "legal_hold_policy_assignment",
        "legal_hold_policy": {
          "id": "11446498",
          "type": "legal_hold_policy"
        },
        "assigned_to": {
          "type": "folder",
          "id": "6564564"
        },
        "assigned_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "assigned_at": "2012-12-12T10:53:43-08:00",
        "deleted_at": "2012-12-12T10:53:43-08:00"
      }
    ]
  }
  ```
</Accordion>
